FilterDTO
Date: 2016-06-25

org.osgi.service.http.runtime.dto

## Class FilterDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.http.runtime.dto.FilterDTO

- Direct Known Subclasses:
    FailedFilterDTO

      public class FilterDTO
      extends org.osgi.dto.DTO

  Represents a servlet `javax.servlet.Filter` service currently being used for by a servlet context.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `asyncSupported` Specifies whether the servlet filter supports asynchronous processing.
    `java.lang.String[]` | `dispatcher` The dispatcher associations for the servlet filter.
    `java.util.Map<java.lang.String,java.lang.String>` | `initParams` The servlet filter initialization parameters as provided during registration of the servlet filter.
    `java.lang.String` | `name` The name of the servlet filter.
    `java.lang.String[]` | `patterns` The request mappings for the servlet filter.
    `java.lang.String[]` | `regexs` The request mappings for the servlet filter.
    `long` | `serviceId` Service property identifying the servlet filter.
    `long` | `servletContextId` The service id of the servlet context for the servlet filter represented by this DTO.
    `java.lang.String[]` | `servletNames` The servlet names for the servlet filter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      The name of the servlet filter. This field is never `null`.

    - #### patterns

          public java.lang.String[] patterns

      The request mappings for the servlet filter.

      The specified patterns are used to determine whether a request is mapped to the servlet filter. This array might be empty.

    - #### servletNames

          public java.lang.String[] servletNames

      The servlet names for the servlet filter.

      The specified names are used to determine the servlets whose requests are mapped to the servlet filter. This array might be empty.

    - #### regexs

          public java.lang.String[] regexs

      The request mappings for the servlet filter.

      The specified regular expressions are used to determine whether a request is mapped to the servlet filter. This array might be empty.

    - #### asyncSupported

          public boolean asyncSupported

      Specifies whether the servlet filter supports asynchronous processing.

    - #### dispatcher

          public java.lang.String[] dispatcher

      The dispatcher associations for the servlet filter.

      The specified names are used to determine in what occasions the servlet filter is called. This array is never `null`.

    - #### initParams

          public java.util.Map<java.lang.String,java.lang.String> initParams

      The servlet filter initialization parameters as provided during registration of the servlet filter. Additional parameters like the Http Service Runtime attributes are not included. If the servlet filter has not initialization parameters, this map is empty.

    - #### serviceId

          public long serviceId

      Service property identifying the servlet filter. In the case of a servlet filter registered in the service registry and picked up by a Http Whiteboard Implementation, this value is not negative and corresponds to the service id in the registry. If the servlet filter has not been registered in the service registry, the value is negative and a unique negative value is generated by the Http Service Runtime in this case.

    - #### servletContextId

          public long servletContextId

      The service id of the servlet context for the servlet filter represented by this DTO.

  - ### Constructor Detail

    - #### FilterDTO

          public FilterDTO()